KDE 4.7 PyKDE API Reference

- KDE's Python API

# CharacterData Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.Node
Namespace: DOM

## Detailed Description

The CharacterData interface extends Node with a set of attributes and methods for accessing character data in the DOM. For clarity this set is defined here rather than on each object that uses these attributes and methods. No DOM objects correspond directly to CharacterData , though Text and others do inherit the interface from it. All <code>offset</code>s in this interface start from 0.

## Methods
| __init__ (self)
| __init__ (self, DOM.CharacterData other)
| __init__ (self, DOM.Node other)
| appendData (self, DOM.DOMString arg)
DOM.DOMString | data (self)
| deleteData (self, long offset, long count)
| insertData (self, long offset, DOM.DOMString arg)
long | length (self)
| replaceData (self, long offset, long count, DOM.DOMString arg)
| setData (self, DOM.DOMString a0)
DOM.DOMString | substringData (self, long offset, long count)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CharacterData | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

appendData | ( | self, |
|  | DOM.DOMString | arg
| ) |  |  |

Append the string to the end of the character data of the node. Upon success, data provides access to the concatenation of data and the DOMString specified.

Parameters:

  | arg | The DOMString to append.

Returns:

DOMException NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

DOM.DOMString data | ( |  | self ) |

The character data of the node that implements this interface. The DOM implementation may not put arbitrary limits on the amount of data that may be stored in a CharacterData node. However, implementation limits may mean that the entirety of a node's data may not fit into a single DOMString . In such cases, the user may call substringData to retrieve the data in appropriately sized pieces.

DOMException DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a DOMString variable on the implementation platform.

deleteData | ( | self, |
|  | long | offset,
|  | long | count
| ) |  |  |

Remove a range of characters from the node. Upon success, data and length reflect the change.

Parameters:

  | offset | The offset from which to remove characters.
  | count | The number of characters to delete. If the sum of

offset and count exceeds length then all characters from offset to the end of the data are deleted.

Returns:

DOMException INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in data , or if the specified count is negative.

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

insertData | ( | self, |
|  | long | offset,
|  | DOM.DOMString | arg
| ) |  |  |

Insert a string at the specified character offset.

Parameters:

  | offset | The character offset at which to insert.
  | arg | The DOMString to insert.

Returns:

DOMException INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in data .

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

long length | ( |  | self ) |

The number of characters that are available through data and the substringData method below. This may have the value zero, i.e., CharacterData nodes may be empty.

replaceData | ( | self, |
|  | long | offset,
|  | long | count,
|  | DOM.DOMString | arg
| ) |  |  |

Replace the characters starting at the specified character offset with the specified string.

Parameters:

  | offset | The offset from which to start replacing.
  | count | The number of characters to replace. If the sum of

offset and count exceeds length , then all characters to the end of the data are replaced (i.e., the effect is the same as a remove method call with the same range, followed by an append method invocation).

Parameters:

  | arg | The DOMString with which the range must be replaced.

Returns:

DOMException INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in data , or if the specified count is negative.

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

setData | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see data DOMException NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

DOM.DOMString substringData | ( | self, |
|  | long | offset,
|  | long | count
| ) |  |  |

Extracts a range of data from the node.

Parameters:

  | offset | Start offset of substring to extract.
  | count | The number of characters to extract.

Returns:
  The specified substring. If the sum of offset and count exceeds the length , then all characters to the end of the data are returned.

DOMException INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in data , or if the specified count is negative.

DOMSTRING_SIZE_ERR: Raised if the specified range of text does not fit into a DOMString .